> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ship

> Get a ship by ID.

Use ?expand=true to include enriched data like crew_count.



## OpenAPI

````yaml /openapi.json get /api/v1/shared/ships/{ship_id}
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/shared/ships/{ship_id}:
    get:
      tags:
        - shared-ships
      summary: Get Ship
      description: |-
        Get a ship by ID.

        Use ?expand=true to include enriched data like crew_count.
      operationId: get_ship_api_v1_shared_ships__ship_id__get
      parameters:
        - name: ship_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Ship Id
        - name: expand
          in: query
          required: false
          schema:
            type: boolean
            description: Include enriched data (crew_count)
            default: false
            title: Expand
          description: Include enriched data (crew_count)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ShipDTO'
                  - $ref: '#/components/schemas/app__domain__ship__ShipDetailDTO'
                title: Response Get Ship Api V1 Shared Ships  Ship Id  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ShipDTO:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        name:
          type: string
          title: Name
        imo_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Imo Number
        mmsi_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Mmsi Number
        call_sign:
          anyOf:
            - type: string
            - type: 'null'
          title: Call Sign
        flag_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Flag Name
        port_of_registry:
          anyOf:
            - type: string
            - type: 'null'
          title: Port Of Registry
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - organization_id
        - name
        - created_at
        - updated_at
      title: ShipDTO
      description: |-
        Ship data transfer object - returned from repositories.
        Represents a ship as stored in the database.
    app__domain__ship__ShipDetailDTO:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        imoNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Imonumber
        mmsiNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Mmsinumber
        callSign:
          anyOf:
            - type: string
            - type: 'null'
          title: Callsign
        flagName:
          anyOf:
            - type: string
            - type: 'null'
          title: Flagname
        portOfRegistry:
          anyOf:
            - type: string
            - type: 'null'
          title: Portofregistry
        crewCount:
          type: integer
          title: Crewcount
          default: 0
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - name
        - createdAt
      title: ShipDetailDTO
      description: Ship with enriched data for API responses (includes crew_count).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````